<?php  //==== 4.LAB 
$fp = fopen('php://input', 'r');
$raw = stream_get_contents($fp);
$json_a = json_decode($raw,true);
$pid=$json_a['pid'];
if ($pid ==''){
	if (isset($_GET['pid'])) $pid= $_GET['pid'];
}

//********************************
$hos_id ='10825';
$hos_name='สัตหีบ กม.10';
$hostname = "192.168.1.11";
$database = "mit_net";
$username = "root";
$password = "090407";
$crlf = chr(13).chr(10);

$ReturnCode =200;
$ReturnMsg = 'OK';
$ReturnErr =201;
$ReturnEMsg = 'Unknown';
if ($pid <>""){
	//------------------------------------
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	ini_set("memory_limit","1000M");
	error_reporting(E_ALL);
	$dbMit= mysqli_connect($hostname, $username, $password) or trigger_error(mysqli_error(),E_USER_ERROR); 
	mysqli_select_db($dbMit,$database);
	mysqli_set_charset($dbMit,"tis620");
	date_default_timezone_set("Asia/Bangkok");
	$Sql = "SELECT HN,cardno FROM d_ptno where  NOTYPE = 'P_ID' and trim(cardno) = '".$pid."'  limit 1 ";
	$result = mysqli_query($dbMit,$Sql ) or die(mysqli_error());
	$totalRows = mysqli_num_rows($result);
	if($totalRows > 0){ //มี HN
		$row = mysqli_fetch_assoc($result);
		$hn = $row['HN'];
		mysqli_free_result($result);
		$Sql = "SELECT l.hn,l.vstdate,l.times,l.item,l.sub_item,l.dose_man,l.note,l.reg_time,j.print_name,concat(d.prename,d.doctor) as reporter
		FROM d_lab_x l left join s_druglist j on l.lab_code = j.drug_code 
		left join s_doctor d on l.operator = d.code	
		where  l.hn = '".$hn."' and substr(l.lab_code,1,1) ='L' order by vstdate,times,item,sub_item "; 
		$result = mysqli_query($dbMit,$Sql ) or die(mysqli_error());
		$totalRows = mysqli_num_rows($result);
		if($totalRows > 0){ //มี HN
			$aLabList = array();
			$aDetail = array();
			$json_array=array(
				'code' => $ReturnCode,
				'message' => $ReturnMsg,
				'data' => array()
			);
			$vsdate='';
			$vstime='';
			$item='';
			$subitem='';
			
			$nLab= 0;
			while ($row = mysqli_fetch_assoc($result)) {	
				if ($row['vstdate'] <> $vsdate || $row['times'] <> $vstime || $row['item'] <> $item || substr($row['sub_item'],0,2) <> $subitem   ) {
					if ($vsdate <>''){
						$aLabList[] = array(
							'ordername' => iconv( 'TIS-620', 'UTF-8',$ordName),
							'reporter_name' =>iconv( 'TIS-620', 'UTF-8',$repName),
							'detail' => $aDetail
						);
				
						$json_array['data'][]=array(
							'hos_id' => $hos_id,
							'hos_name' =>  $hos_name,
							'pid' => $pid,
							'visit_date'=> $vsdate,
							'visit_time'=> $vsttime,
							'lab_list' => $aLabList
						);
					}
					$vsdate=$row['vstdate'];
					$vstime=$row['times'];
					$item = $row['item'];
					$subitem = substr($row['sub_item'],0,2);
					$vsttime=	substr_replace(substr('0000'.trim($row['reg_time']),-4,4),':',2,0) .':00';
					$ordName =$row['print_name'];
					$repName = $row['reporter'];
					$aLabList = array();
					$aDetail = array();
					$nLab= 0;
				} else {
				 	if ($repName =='') $repName = $row['reporter'];
				}
				//-------------------------------------------------------------------------//
				/*
				$aDetail[] = array(
					$row['print_name'] => $row['dose_man']
				);
				*/
				$aDetail += array($row['print_name'] => $row['dose_man']);
				//--------------------------------------------------------------------------//
				$nLab += 1;
			}
			
			if ($nLab > 0){
				$aLabList[] = array(
					'ordername' => iconv( 'TIS-620', 'UTF-8',$ordName),
					'reporter_name' =>iconv( 'TIS-620', 'UTF-8',$repName),
					'detail' => $aDetail
				);
				
				$json_array['data'][]=array(
					'hos_id' => $hos_id,
					'hos_name' =>  $hos_name,
					'pid' => $pid,
					'visit_date'=> $vsdate,
					'visit_time'=> $vsttime,
					'lab_list' => $aLabList
				);
			}
						
		}	else {
			$json_array=array(
				'code' => 203,
				'message' =>'Not Found Lab',
				'data' => array()
			);
		}	
	} else {
		$json_array=array(
			'code' => 203,
			'message' =>'Not Found HN',
			'data' => array()
		);
	}
	mysqli_free_result($result);
} else {
	$json_array=array(
		'code' => 202,
		'message' =>'NO pid',
		'data' => array()
	);
}
header('Content-Type: application/json; charset=utf-8');
echo json_encode($json_array);
exit ();
?>
