<?php  //---- 2.   VISIT
$fp = fopen('php://input', 'r');
$raw = stream_get_contents($fp);
$json_a = json_decode($raw,true);
$pid=$json_a['pid'];
if ($pid ==''){
	if (isset($_GET['pid'])) $pid= $_GET['pid'];
}

//********************************
$hos_id ='10825';
$hos_name='สัตหีบ กม.10';
$hostname = "192.168.1.11";
$database = "mit_net";
$username = "root";
$password = "090407";
//********************************
$crlf = chr(13).chr(10);
$ReturnCode =200;
$ReturnMsg = 'OK';
$ReturnErr =201;
$ReturnEMsg = 'Unknown';
if ($pid <>""){
	//------------------------------------
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	ini_set("memory_limit","1000M");
	error_reporting(E_ALL);
	$dbMit= mysqli_connect($hostname, $username, $password) or trigger_error(mysqli_error(),E_USER_ERROR); 
	mysqli_select_db($dbMit,$database);
	mysqli_set_charset($dbMit,"tis620");
	date_default_timezone_set("Asia/Bangkok");
	$Sql = "SELECT HN,cardno FROM d_ptno where  NOTYPE = 'P_ID' and trim(cardno) = '".$pid."'  limit 1 ";
	$result = mysqli_query($dbMit,$Sql ) or die(mysqli_error());
	$totalRows = mysqli_num_rows($result);
	if($totalRows > 0){ //มี HN
		$row = mysqli_fetch_assoc($result);
		$hn = $row['HN'];
		mysqli_free_result($result);
		$Sql = "SELECT b.hn,b.vstdate,b.times,b.vsttime,b.symtom,
		( select  dose_man from d_lab_x where hn=b.hn and vstdate=b.vstdate and times=b.times and lab_code ='VITAL0000' limit 1) as vital
		FROM d_ovst b where  b.hn = '".$hn."'   order by vstdate,times  "; 
		$result = mysqli_query($dbMit,$Sql ) or die(mysqli_error());
		$totalRows = mysqli_num_rows($result);
		if($totalRows > 0){ 
			$json_array=array(
				'code' => $ReturnCode,
				'message' => $ReturnMsg,
				'data' => array()
			);
			while ($row = mysqli_fetch_assoc($result)) {	
				$cc='';
				$pe='';
				$pi='';
				$o2='';
				d_sympt($row['symtom'],&$cc,&$pe,&$pi,&$o2,$dbMit );
				if (trim(substr($row['vital'],4,3)) =='' ||  trim(substr($row['vital'],9,3))=='') $bp='';
				else 	$bp =trim(substr($row['vital'],4,3)).'/'.trim(substr($row['vital'],9,3));
				$bw = number_format(substr($row['vital'],12,6),1);
				$th="";if (substr($row['vital'],18,5) <>'')$th = number_format(substr($row['vital'],18,5)/100,2);
				$bt="";if (substr($row['vital'],0,4) <>'')$bt = number_format(substr($row['vital'],0,4),1);
				$BMI="";
				if ($bw <>'' && $th<>0){
					$BMI = number_format($bw/($th*$th),2);
				}
				$json_array['data'][]=array(
					'hos_id' => $hos_id,
					'hos_name' =>  $hos_name,
					'pid' => $pid,
					'visit_date'=> $row['vstdate'],
					'visit_time'=> substr_replace(substr('0000'.trim($row['vsttime']),-4,4),':',2,0) .':00',
					'bmi'=>$BMI,
					'bp'=>$bp,
					'bt'=>$bt,
					'bw'=>$bw,
					'ht'=>number_format(substr($row['vital'],18,5),1),
					'cc'=>$cc,
					'pe'=>$pe,
					'pi'=>$pi,
					'pr'=>number_format(substr($row['vital'],23,3),0),
					'rr'=>number_format(substr($row['vital'],26,3),0),
					'sat_o2'=>$o2
				);
			}
		}	else {
			$json_array=array(
				'code' => 203,
				'message' =>'Not Found Visit',
				'data' => array()
			);
		}	
	} else {
		$json_array=array(
			'code' => 203,
			'message' =>'Not Found HN',
			'data' => array()
		);
	}
	mysqli_free_result($result);
} else {
	$json_array=array(
		'code' => 202,
		'message' =>'NO pid',
		'data' => array()
	);
}
header('Content-Type: application/json; charset=utf-8');
echo json_encode($json_array);
exit ();
//*****************************
function  d_sympt( $symptoms,&$cc,&$pe,&$pi,&$o2,&$dbMit){
	if ($symptoms <> '') {
		$bx = strpos($symptoms,'O2');
		if ( $bx > 0 ) {
		 	$cTemp = substr($symptoms,$bx+2);
			while (strlen($cTemp) > 0){
				if (is_numeric(substr($num2,0,1))) break;
				$cTemp = substr($cTemp,1);
		 	}
		 	$o2 = $cTemp+0; 
			$o2 .=' %';
		} else {
			$bx = strpos($symptoms,'Osat');
			if ( $bx > 0 ) {
				$cTemp = substr($symptoms,$bx+2);
				while (strlen($cTemp) > 0){
					if (is_numeric(substr($num2,0,1))) break;
					$cTemp = substr($cTemp,1);
				}
				$o2 = $cTemp+0; 
				$o2 .=' %';
			}
		}				
		while (strlen($symptoms) > 0){
			$bx = strpos($symptoms,";");
			if ($bx > 0){
				$symx=trim(substr($symptoms,0,$bx));
				$symptoms = substr($symptoms,$bx+1);
			} else {
				$symx = $symptoms;
				$symptoms = '';
			}
			if ( strpos('.01',substr($symx,0,1)) > 0){  //เฉพาะ 0อาการ,1การตรวจ
				$ax=strpos($symx,chr(6)); //รหัสผู้บันทึก(ไม่ใช้)
				if ($ax > 0 )	$symx = substr($symx,0,$ax);
				if ( strpos(chr(10).chr(29).chr(160),substr($symx,1,1)) > 0) {
					$tdesc= iconv( 'TIS-620', 'UTF-8',substr($symx,2));
				} else {	// $symx รหัส 5 หลัก
					$Sql = "SELECT s.desc  FROM s_symptoms s  where  s.sym = '".$symx."'   limit 1 ";
					$decode = mysqli_query($dbMit,$Sql ) or die(mysqli_error());
					$drow = mysqli_fetch_assoc($decode);
					$tdesc = iconv( 'TIS-620', 'UTF-8',$drow['desc']); 
					mysqli_free_result($decode );
				}
				if (substr($symx,0,1) =='0') $cc .= $tdesc;
				else $pe .= $tdesc;
			}	
		}
	}		
} 
		
?>
